diff -ruN /usr/ports/mail/postfixadmin/Makefile mail/postfixadmin/Makefile
--- /usr/ports/mail/postfixadmin/Makefile	2008-05-17 23:21:31.000000000 +1000
+++ mail/postfixadmin/Makefile	2008-06-30 09:50:27.000000000 +1000
@@ -6,16 +6,16 @@
 #
 
 PORTNAME=	postfixadmin
-PORTVERSION=	2.1.0
-PORTREVISION=	8
+PORTVERSION=	2.2.0
 CATEGORIES=	mail www
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	postfixadmin
-EXTRACT_SUFX=	.tgz
+DISTNAME=	${PORTNAME}_${PORTVERSION}
 
 MAINTAINER=	ports.maintainer@evilphi.com
 COMMENT=	PHP web-based management tool for Postfix virtual domains and users
 
+WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 NO_BUILD=	yes
 
 SUB_FILES+=	pkg-message
@@ -45,22 +45,24 @@
 .endif
 
 post-patch:
-		${FIND} ${WRKSRC} -name '*.orig' -delete
+	${FIND} ${WRKSRC} -name '*.orig' -delete
 
 do-install:
 		@${MKDIR} ${PREFIX}/www/postfixadmin/VIRTUAL_VACATION
+		@${MKDIR} ${PREFIX}/www/postfixadmin/ADDITIONS
+		@${MKDIR} ${PREFIX}/www/postfixadmin/css
 		@${MKDIR} ${PREFIX}/www/postfixadmin/admin
 		@${MKDIR} ${PREFIX}/www/postfixadmin/images
 		@${MKDIR} ${PREFIX}/www/postfixadmin/languages
 		@${MKDIR} ${PREFIX}/www/postfixadmin/templates
 		@${MKDIR} ${PREFIX}/www/postfixadmin/users
-		@${INSTALL_DATA} ${WRKSRC}/*.TXT ${PREFIX}/www/postfixadmin
 		@${INSTALL_DATA} ${WRKSRC}/*.php ${PREFIX}/www/postfixadmin
-		@${INSTALL_DATA} ${WRKSRC}/*.sample ${PREFIX}/www/postfixadmin
-		@${INSTALL_DATA} ${WRKSRC}/*.css ${PREFIX}/www/postfixadmin
+		@${INSTALL_DATA} ${WRKSRC}/*.txt ${PREFIX}/www/postfixadmin
+		@${INSTALL_DATA} ${WRKSRC}/*.TXT ${PREFIX}/www/postfixadmin
 		@${INSTALL_DATA} ${WRKSRC}/VIRTUAL_VACATION/* ${PREFIX}/www/postfixadmin/VIRTUAL_VACATION
+		@${INSTALL_DATA} ${WRKSRC}/ADDITIONS/* ${PREFIX}/www/postfixadmin/ADDITIONS
+		@${INSTALL_DATA} ${WRKSRC}/css/* ${PREFIX}/www/postfixadmin/css
 		@${INSTALL_DATA} ${WRKSRC}/admin/* ${PREFIX}/www/postfixadmin/admin
-		@${INSTALL_DATA} ${WRKSRC}/admin/.ht* ${PREFIX}/www/postfixadmin/admin
 		@${INSTALL_DATA} ${WRKSRC}/images/* ${PREFIX}/www/postfixadmin/images
 		@${INSTALL_DATA} ${WRKSRC}/languages/* ${PREFIX}/www/postfixadmin/languages
 		@${INSTALL_DATA} ${WRKSRC}/templates/* ${PREFIX}/www/postfixadmin/templates
@@ -69,12 +71,16 @@
 			${CP} ${PREFIX}/www/postfixadmin/config.inc.php.sample \
 				${PREFIX}/www/postfixadmin/config.inc.php
 
+.if !defined(NOPORTDOCS)
+	${MKDIR} ${DOCSDIR}
+	(cd ${WRKSRC}/DOCUMENTS && ${COPYTREE_SHARE} \* ${DOCSDIR})
+.endif
+
 post-install:
 		@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${PREFIX}/www/postfixadmin
-		@${CHMOD} 640 ${PREFIX}/www/postfixadmin/*.php ${PREFIX}/www/postfixadmin/*.css
+		@${CHMOD} 640 ${PREFIX}/www/postfixadmin/*.php ${PREFIX}/www/postfixadmin/css/*.css
 		@${CHMOD} 640 ${PREFIX}/www/postfixadmin/admin/*.php
 		@${CHMOD} 640 ${PREFIX}/www/postfixadmin/users/*.php
-		@${CHMOD} 640 ${PREFIX}/www/postfixadmin/templates/*.tpl
 		${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.post.mk>
diff -ruN /usr/ports/mail/postfixadmin/distinfo mail/postfixadmin/distinfo
--- /usr/ports/mail/postfixadmin/distinfo	2006-01-22 23:50:44.000000000 +1100
+++ mail/postfixadmin/distinfo	2008-06-27 14:05:43.000000000 +1000
@@ -1,3 +1,3 @@
-MD5 (postfixadmin-2.1.0.tgz) = 89043e52796298f44a06d65eaddaef09
-SHA256 (postfixadmin-2.1.0.tgz) = 8c34f17b91c1f82923b8fc3f0fb73716e853f874b2015998a975bd9909029a44
-SIZE (postfixadmin-2.1.0.tgz) = 160525
+MD5 (postfixadmin_2.2.0.tar.gz) = 1e3271d3851dbaae54be048be7cef3bd
+SHA256 (postfixadmin_2.2.0.tar.gz) = abb6bcfe9a0475cc2f67b84b217490c0edf6d1e8fe5deae119f731e54d59a644
+SIZE (postfixadmin_2.2.0.tar.gz) = 951421
diff -ruN /usr/ports/mail/postfixadmin/files/patch-.htacces mail/postfixadmin/files/patch-.htacces
--- /usr/ports/mail/postfixadmin/files/patch-.htacces	2004-01-03 17:56:12.000000000 +1100
+++ mail/postfixadmin/files/patch-.htacces	1970-01-01 10:00:00.000000000 +1000
@@ -1,8 +0,0 @@
---- admin/.htaccess.orig	Thu Oct 23 11:17:10 2003
-+++ admin/.htaccess	Thu Oct 23 11:17:23 2003
-@@ -1,4 +1,4 @@
--AuthUserFile /usr/local/postfixadmin/admin/.htpasswd
-+AuthUserFile /usr/local/www/postfixadmin/admin/.htpasswd
- AuthGroupFile /dev/null
- AuthName "Postfix Admin"
- AuthType Basic
diff -ruN /usr/ports/mail/postfixadmin/files/patch-VIRTUAL__VACATION_vacation.pl mail/postfixadmin/files/patch-VIRTUAL__VACATION_vacation.pl
--- /usr/ports/mail/postfixadmin/files/patch-VIRTUAL__VACATION_vacation.pl	2005-05-20 19:04:47.000000000 +1000
+++ mail/postfixadmin/files/patch-VIRTUAL__VACATION_vacation.pl	1970-01-01 10:00:00.000000000 +1000
@@ -1,11 +0,0 @@
---- VIRTUAL_VACATION/vacation.pl.orig	Thu May 19 22:06:24 2005
-+++ VIRTUAL_VACATION/vacation.pl	Thu May 19 22:06:38 2005
-@@ -160,7 +160,7 @@
-       my @row = $sth->fetchrow_array;
-       if (do_cache ($email, $orig_from)) { return; }
-       do_debug ("[SEND RESPONSE] for $orig_messageid:\n", "FROM: $email (orig_to: $orig_to)\n", "TO: $orig_from\n", "SUBJECT: $orig_subject\n", "VACATION SUBJECT: $row[0]\n", "VACATION BODY: $row[1]\n");
--      do_mail ($orig_to, $orig_from, $row[0], $row[1]);
-+      do_mail ($email, $orig_from, $row[0], $row[1]);
-       do_log ($orig_messageid, $orig_to, $orig_from, $orig_subject); 
-    }
- 
diff -ruN /usr/ports/mail/postfixadmin/files/patch-functions.inc.php mail/postfixadmin/files/patch-functions.inc.php
--- /usr/ports/mail/postfixadmin/files/patch-functions.inc.php	2008-05-17 23:21:31.000000000 +1000
+++ mail/postfixadmin/files/patch-functions.inc.php	1970-01-01 10:00:00.000000000 +1000
@@ -1,16 +0,0 @@
---- ./functions.inc.php.orig	2005-01-07 07:00:00.000000000 +0800
-+++ ./functions.inc.php	2008-05-17 21:19:54.000000000 +0800
-@@ -129,7 +129,12 @@
-    if (get_magic_quotes_gpc () == 0)
-    {
-       if ($CONF['database_type'] == "mysql")  $escaped_string = mysql_real_escape_string ($string);
--      if ($CONF['database_type'] == "mysqli")  $escaped_string = mysqli_real_escape_string ($string);
-+      if ($CONF['database_type'] == "mysqli")
-+      {
-+         $link = db_connect ();
-+         $escaped_string = mysqli_real_escape_string ($link, $string);
-+         mysqli_close ($link);
-+      }
-       if ($CONF['database_type'] == "pgsql")  $escaped_string = pg_escape_string ($string);
-    }
-    else
diff -ruN /usr/ports/mail/postfixadmin/files/patch-sendmail.php mail/postfixadmin/files/patch-sendmail.php
--- /usr/ports/mail/postfixadmin/files/patch-sendmail.php	1970-01-01 10:00:00.000000000 +1000
+++ mail/postfixadmin/files/patch-sendmail.php	2008-06-30 09:48:47.000000000 +1000
@@ -0,0 +1,24 @@
+--- sendmail.php	2007/12/02 13:59:33	250
++++ sendmail.php	2008/06/29 16:11:37	396
+@@ -49,15 +49,20 @@
+    $fHeaders .= "MIME-Version: 1.0\n";
+    $fHeaders .= "Content-Type: text/plain; charset=utf-8\n";
+    $fHeaders .= "Content-Transfer-Encoding: 8bit\n";
++   $fHeaders .= "\n";
+ 
+-   $fHeaders .= escape_string ($_POST['fBody']);
++   $tBody = $_POST['fBody'];
++   if (get_magic_quotes_gpc ())
++   {
++      $tBody = stripslashes($tBody);
++   }
++   $fHeaders .= $tBody;
+ 
+    if (empty ($fTo) or !check_email ($fTo))
+    {
+       $error = 1;
+       $tTo = escape_string ($_POST['fTo']);
+       $tSubject = escape_string ($_POST['fSubject']);
+-      $tBody = escape_string ($_POST['fBody']);
+       $tMessage = $PALANG['pSendmail_to_text_error'];
+    }
diff -ruN /usr/ports/mail/postfixadmin/files/pkg-message.in mail/postfixadmin/files/pkg-message.in
--- /usr/ports/mail/postfixadmin/files/pkg-message.in	2006-06-17 20:57:39.000000000 +1000
+++ mail/postfixadmin/files/pkg-message.in	2008-06-28 13:25:14.000000000 +1000
@@ -1,25 +1,19 @@
-To Install and use postfixadmin:
+#
+# Postfix Admin
+# by Mischa Peters <mischa at high5 dot net>
+# Copyright (c) 2002 - 2005 High5!
+# Licensed under GPL for more info check GPL-LICENSE.TXT
+#
 
-1. Create the MySQL Tables
---------------------------
-In %%PREFIX%%/www/postfixadmin/DATABASE.TXT you can find the table
-structure that you need in order to configure Postfix Admin and Postfix
-in general to work with Virtual Domains and Users
+REQUIRED!!
+----------
+- You are using Postfix 2.0 or higher.
+- You are using Apache 1.3.27 / Lighttpd 1.3.15 or higher.
+- You are using PHP 4.1 or higher (5.X recommended)
+- You are using MySQL 3.23 or higher (5.x recommended) OR PostgreSQL 7.4 (or higher)
 
-2. Configure
-------------
-Check the %%PREFIX%%/www/postfixadmin/config.inc.php file. There you
-can specify settings that are relevant to your setup.
-
-The default password for the admin part of Postfix Admin is admin/admin.
-This is specified in the .htpasswd file in the admin directory. Make sure
-that the location of the .htpasswd file matches your path.
-
-3. Configure Apache
--------------------
-Add a line in your httpd.conf to allow the use of .htaccess file.
-
-<Directory "%%PREFIX%%/www/postfixadmin">
-	Options Indexes
-	AllowOverride AuthConfig
-</Directory>
+INSTALL / UPGRADE
+----------
+- Postfixadmin has brought about some changes, all database install/update scripts are now php web based
+- Browse to the webroot and run setup.php to install or update your current postfixadmin installation
+- For detailed information please read the INSTALL.TXT
diff -ruN /usr/ports/mail/postfixadmin/pkg-descr mail/postfixadmin/pkg-descr
--- /usr/ports/mail/postfixadmin/pkg-descr	2007-01-17 05:48:43.000000000 +1100
+++ mail/postfixadmin/pkg-descr	2008-06-28 02:15:30.000000000 +1000
@@ -13,4 +13,4 @@
 - Backup MX;
 - Packaged with over 25 languages.
 
-WWW:	http://high5.net/postfixadmin/
+WWW:	http://www.postfixadmin.org
diff -ruN /usr/ports/mail/postfixadmin/pkg-plist mail/postfixadmin/pkg-plist
--- /usr/ports/mail/postfixadmin/pkg-plist	2005-01-12 14:57:30.000000000 +1100
+++ mail/postfixadmin/pkg-plist	2008-06-28 13:21:34.000000000 +1000
@@ -1,58 +1,56 @@
-www/postfixadmin/BACKUP_MX.TXT
+www/postfixadmin/ADDITIONS/README.TXT
+www/postfixadmin/ADDITIONS/change_password.tgz
+www/postfixadmin/ADDITIONS/cleanupdirs.pl
+www/postfixadmin/ADDITIONS/convert-passwd-to-postfixadmin.pl
+www/postfixadmin/ADDITIONS/fetchmail.pl
+www/postfixadmin/ADDITIONS/mailbox_remover.pl
+www/postfixadmin/ADDITIONS/mkeveryone.pl
+www/postfixadmin/ADDITIONS/pfa_maildir_cleanup.pl
+www/postfixadmin/ADDITIONS/postfixadmin-0.3-1.4.tar.gz
+www/postfixadmin/ADDITIONS/postfixadmin-domain-postdeletion.sh
+www/postfixadmin/ADDITIONS/postfixadmin-mailbox-postcreation.sh
+www/postfixadmin/ADDITIONS/postfixadmin-mailbox-postdeletion.sh
+www/postfixadmin/ADDITIONS/virtualmaildel.php
 www/postfixadmin/CHANGELOG.TXT
-www/postfixadmin/DATABASE_MYSQL.TXT
-www/postfixadmin/DATABASE_PGSQL.TXT
+www/postfixadmin/GPL-LICENSE.TXT
 www/postfixadmin/INSTALL.TXT
-www/postfixadmin/LANGUAGE.TXT
 www/postfixadmin/LICENSE.TXT
-www/postfixadmin/TABLE_BACKUP_MX.TXT
-www/postfixadmin/TABLE_CHANGES.TXT
-www/postfixadmin/UPGRADE.TXT
 www/postfixadmin/VIRTUAL_VACATION/FILTER_README
 www/postfixadmin/VIRTUAL_VACATION/INSTALL.TXT
 www/postfixadmin/VIRTUAL_VACATION/index.php
 www/postfixadmin/VIRTUAL_VACATION/mail-filter
 www/postfixadmin/VIRTUAL_VACATION/vacation.pl
-www/postfixadmin/admin/.htaccess
-www/postfixadmin/admin/.htpasswd
-www/postfixadmin/admin/backup.php
-www/postfixadmin/admin/create-admin.php
-www/postfixadmin/admin/create-alias.php
-www/postfixadmin/admin/create-domain.php
-www/postfixadmin/admin/create-mailbox.php
-www/postfixadmin/admin/delete.php
-www/postfixadmin/admin/edit-active-admin.php
-www/postfixadmin/admin/edit-active-domain.php
-www/postfixadmin/admin/edit-active.php
-www/postfixadmin/admin/edit-admin.php
-www/postfixadmin/admin/edit-alias.php
-www/postfixadmin/admin/edit-domain.php
-www/postfixadmin/admin/edit-mailbox.php
 www/postfixadmin/admin/index.php
-www/postfixadmin/admin/list-admin.php
-www/postfixadmin/admin/list-domain.php
-www/postfixadmin/admin/list-virtual.php
-www/postfixadmin/admin/search.php
-www/postfixadmin/admin/viewlog.php
-@unexec if cmp -s %D/www/postfixadmin/config.inc.php %D/www/postfixadmin/config.inc.php.sample; then rm -f %D/www/postfixadmin/config.inc.php; fi
-www/postfixadmin/config.inc.php.sample
-@exec [ -f %B/config.inc.php ] || cp %B/%f %B/config.inc.php
+www/postfixadmin/backup.php
+www/postfixadmin/broadcast-message.php
+www/postfixadmin/common.php
+www/postfixadmin/config.inc.php
+www/postfixadmin/create-admin.php
 www/postfixadmin/create-alias.php
+www/postfixadmin/create-domain.php
 www/postfixadmin/create-mailbox.php
+www/postfixadmin/css/default.css
 www/postfixadmin/delete.php
+www/postfixadmin/edit-active-admin.php
+www/postfixadmin/edit-active-domain.php
 www/postfixadmin/edit-active.php
+www/postfixadmin/edit-admin.php
 www/postfixadmin/edit-alias.php
+www/postfixadmin/edit-domain.php
 www/postfixadmin/edit-mailbox.php
+www/postfixadmin/edit-vacation.php
+www/postfixadmin/fetchmail.php
 www/postfixadmin/functions.inc.php
-www/postfixadmin/index.php
 www/postfixadmin/images/arrow-l.png
 www/postfixadmin/images/arrow-r.png
 www/postfixadmin/images/arrow-u.png
 www/postfixadmin/images/index.php
+www/postfixadmin/images/logo-default.png
 www/postfixadmin/images/postbox.png
+www/postfixadmin/images/postfixadmin.png
 www/postfixadmin/images/postfixadmin2.png
 www/postfixadmin/images/postfixadmin2.xcf
-www/postfixadmin/images/postfixadmin.png
+www/postfixadmin/index.php
 www/postfixadmin/languages/bg.lang
 www/postfixadmin/languages/ca.lang
 www/postfixadmin/languages/cn.lang
@@ -66,62 +64,72 @@
 www/postfixadmin/languages/fi.lang
 www/postfixadmin/languages/fo.lang
 www/postfixadmin/languages/fr.lang
+www/postfixadmin/languages/hr.lang
 www/postfixadmin/languages/hu.lang
 www/postfixadmin/languages/index.php
 www/postfixadmin/languages/is.lang
 www/postfixadmin/languages/it.lang
+www/postfixadmin/languages/ja.lang
+www/postfixadmin/languages/language-update.sh
+www/postfixadmin/languages/language.php
+www/postfixadmin/languages/lt.lang
 www/postfixadmin/languages/mk.lang
 www/postfixadmin/languages/nl.lang
 www/postfixadmin/languages/nn.lang
 www/postfixadmin/languages/pl.lang
 www/postfixadmin/languages/pt-br.lang
 www/postfixadmin/languages/ru.lang
+www/postfixadmin/languages/sk.lang
 www/postfixadmin/languages/sl.lang
 www/postfixadmin/languages/sv.lang
 www/postfixadmin/languages/tr.lang
 www/postfixadmin/languages/tw.lang
+www/postfixadmin/list-admin.php
+www/postfixadmin/list-domain.php
+www/postfixadmin/list-virtual.php
 www/postfixadmin/login.php
 www/postfixadmin/logout.php
 www/postfixadmin/main.php
-www/postfixadmin/overview.php
+www/postfixadmin/motd-users.txt
+www/postfixadmin/motd.txt
 www/postfixadmin/password.php
 www/postfixadmin/search.php
 www/postfixadmin/sendmail.php
 www/postfixadmin/setup.php
-www/postfixadmin/stylesheet.css
-www/postfixadmin/templates/admin_create-admin.tpl
-www/postfixadmin/templates/admin_create-domain.tpl
-www/postfixadmin/templates/admin_edit-admin.tpl
-www/postfixadmin/templates/admin_edit-domain.tpl
-www/postfixadmin/templates/admin_list-admin.tpl
-www/postfixadmin/templates/admin_list-domain.tpl
-www/postfixadmin/templates/admin_list-virtual.tpl
-www/postfixadmin/templates/admin_menu.tpl
-www/postfixadmin/templates/admin_search.tpl
-www/postfixadmin/templates/create-alias.tpl
-www/postfixadmin/templates/create-mailbox.tpl
-www/postfixadmin/templates/edit-alias.tpl
-www/postfixadmin/templates/edit-mailbox.tpl
-www/postfixadmin/templates/footer.tpl
-www/postfixadmin/templates/header.tpl
+www/postfixadmin/templates/admin_create-admin.php
+www/postfixadmin/templates/admin_create-domain.php
+www/postfixadmin/templates/admin_edit-admin.php
+www/postfixadmin/templates/admin_edit-domain.php
+www/postfixadmin/templates/admin_list-admin.php
+www/postfixadmin/templates/admin_list-domain.php
+www/postfixadmin/templates/admin_search.php
+www/postfixadmin/templates/broadcast-message.php
+www/postfixadmin/templates/create-alias.php
+www/postfixadmin/templates/create-mailbox.php
+www/postfixadmin/templates/edit-alias.php
+www/postfixadmin/templates/edit-mailbox.php
+www/postfixadmin/templates/edit-vacation.php
+www/postfixadmin/templates/fetchmail.php
+www/postfixadmin/templates/footer.php
+www/postfixadmin/templates/header.php
 www/postfixadmin/templates/index.php
-www/postfixadmin/templates/login.tpl
-www/postfixadmin/templates/main.tpl
-www/postfixadmin/templates/menu.tpl
-www/postfixadmin/templates/message.tpl
-www/postfixadmin/templates/overview-get.tpl
-www/postfixadmin/templates/overview.tpl
-www/postfixadmin/templates/password.tpl
-www/postfixadmin/templates/search.tpl
-www/postfixadmin/templates/sendmail.tpl
-www/postfixadmin/templates/users_edit-alias.tpl
-www/postfixadmin/templates/users_login.tpl
-www/postfixadmin/templates/users_main.tpl
-www/postfixadmin/templates/users_menu.tpl
-www/postfixadmin/templates/users_password.tpl
-www/postfixadmin/templates/users_vacation-get.tpl
-www/postfixadmin/templates/users_vacation.tpl
-www/postfixadmin/templates/viewlog.tpl
+www/postfixadmin/templates/list-virtual.php
+www/postfixadmin/templates/login.php
+www/postfixadmin/templates/main.php
+www/postfixadmin/templates/menu.php
+www/postfixadmin/templates/message.php
+www/postfixadmin/templates/overview-get.php
+www/postfixadmin/templates/password.php
+www/postfixadmin/templates/search.php
+www/postfixadmin/templates/sendmail.php
+www/postfixadmin/templates/users_edit-alias.php
+www/postfixadmin/templates/users_login.php
+www/postfixadmin/templates/users_main.php
+www/postfixadmin/templates/users_menu.php
+www/postfixadmin/templates/users_password.php
+www/postfixadmin/templates/users_vacation.php
+www/postfixadmin/templates/viewlog.php
+www/postfixadmin/upgrade.php
 www/postfixadmin/users/edit-alias.php
 www/postfixadmin/users/index.php
 www/postfixadmin/users/login.php
@@ -131,8 +139,33 @@
 www/postfixadmin/users/vacation.php
 www/postfixadmin/variables.inc.php
 www/postfixadmin/viewlog.php
+%%PORTDOCS%%%%DOCSDIR%%/BACKUP_MX.txt
+%%PORTDOCS%%%%DOCSDIR%%/DOVECOT.txt
+%%PORTDOCS%%%%DOCSDIR%%/FAQ.txt
+%%PORTDOCS%%%%DOCSDIR%%/HORDE.txt
+%%PORTDOCS%%%%DOCSDIR%%/LANGUAGE.txt
+%%PORTDOCS%%%%DOCSDIR%%/POSTFIXADMIN.txt
+%%PORTDOCS%%%%DOCSDIR%%/POSTFIX_CONF.txt
+%%PORTDOCS%%%%DOCSDIR%%/SECURITY.txt
+%%PORTDOCS%%%%DOCSDIR%%/SUPERADMIN.txt
+%%PORTDOCS%%%%DOCSDIR%%/UPGRADE.txt
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/README.txt
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-admin-create-alias.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-admin-create-domain.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-admin-create-mailbox.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-admin-domain-list.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-admin-virtual-list.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-inital-welcome.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-mail-admin-login.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-user-change-forward.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-user-overview.jpg
+%%PORTDOCS%%%%DOCSDIR%%/screenshots/postfixadmin-user-vacation.jpg
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/screenshots
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+@dirrm www/postfixadmin/ADDITIONS
 @dirrm www/postfixadmin/VIRTUAL_VACATION
 @dirrm www/postfixadmin/admin
+@dirrm www/postfixadmin/css
 @dirrm www/postfixadmin/images
 @dirrm www/postfixadmin/languages
 @dirrm www/postfixadmin/templates
